<!DOCTYPE html>
<html><head><meta http-equiv="content-type" content="text/html; charset=windows-1251" /><title>Eleanor CMS Test</title></head>
<body><?php
# Alexander Sunvas © 2013
# http://eleanor-cms.ru

class Foo { public $var='3.1415962654'; }

$f=tempnam(sys_get_temp_dir(),'eleanor-cms-test');
$start=microtime();
$mem=memory_get_usage();

for($i=0;$i<100000;$i++)
{
	$a=new Foo;
	$a->self=$a;
	file_put_contents($f,uniqid(true),FILE_APPEND);
}
unlink($f);
unset($a);

$mem=memory_get_usage()-$mem;
$peak=memory_get_peak_usage()-$mem;
echo'Time: ',round(array_sum(explode(' ',microtime()))-array_sum(explode(' ',$start)),5),'s<br /> Memory: ',$mem,'<br /> Memory peak: ',$peak;
?></body></html>